This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 665773 - Cacti bundles php-adodb
Cacti bundles php-adodb
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cacti (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
: FutureFeature
: 463859 (view as bug list)
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2010-12-26 16:16 EST by David Nalley
Modified: 2016-02-29 09:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 09:55:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Nalley 2010-12-26 16:16:55 EST
Description of problem: Cacti bundled php-adodb (contrary to the no bundled libraries policy.) 


Version-Release number of selected component (if applicable) cacti-0.8.7g-1.fc14.noarch



Also, I'll note that this is a comparatively ancient version of php-adodb (4.54) from 2005 - with at least one security flaw.
Comment 1 Fedora Admin XMLRPC Client 2011-04-05 10:09:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Jon Ciesla 2011-04-05 11:48:41 EDT
Please test this update.  It's built for F-14, but I'd like it tested before I put it in rawhide or older.

Thanks!

http://zanoni.jcomserv.net/fedora/cacti/cacti-0.8.7g-3.fc14.noarch.rpm
Comment 3 Ken Dreyer 2011-11-01 11:12:34 EDT
Patch sent upstream at http://bugs.cacti.net/view.php?id=2091

I'll commit to Rawhide in a bit. I'd like to get 0.8.7h out to all branches first, plus do some more testing.
Comment 4 Ken Dreyer 2011-11-08 09:31:37 EST
I've been running this patch on my EL5 Cacti system for a week now, using php-adodb-4.95-1.a.el5 . No problems noted.

David, in your experience with zikula, did you experience any bugs as a result of using Fedora's system version of php-adodb? Obviously this is an unscientific test; I'm just trying to get a feel for how (un)stable this change would be.
Comment 5 Ken Dreyer 2011-12-13 13:14:04 EST
*** Bug 463859 has been marked as a duplicate of this bug. ***
Comment 6 Ken Dreyer 2011-12-13 13:19:30 EST
David: another ping to please let us know how (un)stable this sort of change would be. I've tested it on one of my EL5 Cacti systems for a while now, but confirmation from another maintainer is always nice.
Comment 7 Fedora End Of Life 2013-04-03 16:07:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Ken Dreyer 2015-03-25 08:14:42 EDT
The package has been retired in Rawhide for a while. See http://forums.cacti.net/viewtopic.php?f=2&t=53607 and https://lists.fedoraproject.org/pipermail/devel/2014-October/203695.html

Today I've removed myself from the package in pkgdb.

Jon, please feel free to orphan or retire this package in EPEL.
Comment 9 Jon Ciesla 2016-02-29 09:55:16 EST
Retired.

Note You need to log in before you can comment on or make changes to this bug.